Subject: bug#6867: insert-kbd-macro2

From: "Goodrich, Charles H. (KSC-ASRC-433)[ASRC AEROSPACE]" <[email-masked]>
Date: Mon, 16 Aug 2010 09:26:19 -0500

From:  <[email-masked]>
To: [email-masked]
Subject: insert-kbd-macro2
--text follows this line--

Please write in English if possible, because the Emacs maintainers
usually do not have translators to read other languages for them.

Your bug report will be posted to the [email-masked] mailing list,
and to the gnu.emacs.bug news group.

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug:

Dear Emacs bugs,

I named a keboard macro that I defined via `C-x C-k n' and inserted its definition in a buffer via `M-x insert-kbd-macro'. Here is the code Emacs inserted:

(fset 'fill-number-list
   (lambda (&optional arg) "Keyboard macro." (interactive "p") (kmacro-exec-ring-item (quote ([down return 67108896 up up 134217841 backspace 24 24] 0 "%d")) arg)))

Next, I saved the file following instructions in the *info* file.   In a subsequent Emacs session I loaded the definition with  `load-file'.

  Loading d:/Documents and Settings/chgoodri/My Documents/WM_chgoodri
  My Documents/Business/filllist.el (source)...done

Next I tried to invoke the macro with M-x `fill-number-list'

  fill-number-list: Symbol's function definition is void:
  kmacro-exec-ring-item

I can't figure out why the function definition is void.

Regards,

Charlie Goodrich
Kennedy Space Center
321-867-6956
[email-masked]

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
If you would like to further debug the crash, please read the file
d:/Documents and Settings/chgoodri/My Documents/emacs-22.1/etc/DEBUG for instructions.

In GNU Emacs 22.1.1 (i386-mingw-nt5.1.2600)
 of 2007-06-02 on RELEASE
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (3.4) --cflags -Ic:/gnuwin32/include'

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: ENU
  locale-coding-system: cp1252
  default-enable-multibyte-characters: t

Major mode: Fundamental

Minor modes in effect:
  shell-dirtrack-mode: t
  desktop-save-mode: t
  encoded-kbd-mode: t
  tooltip-mode: t
  tool-bar-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  unify-8859-on-encoding-mode: t
  utf-translate-cjk-mode: t
  auto-compression-mode: t
  line-number-mode: t

Recent input:
C-l M-b <lwindow> <down-mouse-1> <mouse-1> <language-change>
C-b C-b C-b C-b C-b C-b C-b C-b C-p C-p C-p C-p <language-change>
C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-p C-p
C-p C-p C-p C-p C-p C-p M-x l o a d SPC f SPC <return>
f i l l <tab> <return> C-l C-l C-n C-n C-n C-n C-n
C-n C-n M-b M-b M-b M-b <down-mouse-1> <mouse-1> M-x
f i l l - n u <tab> <return> C-x b * m e s SPC <return>
<help-echo> <help-echo> <language-change> M-x <help-echo>
r e p o r t SPC e SPC SPC <return>

Recent messages:
using default package specification of `user' [2 times]
Loading info...
Loading easymenu...done
Loading info...done
Desktop: 13 buffers restored. [2 times]
For information about the GNU Project and its goals, type C-h C-p. [2 times]
Loading d:/Documents and Settings/chgoodri/My Documents/WM_chgoodri My Documents/Business/filllist.el (source)...done
fill-number-list: Symbol's function definition is void: kmacro-exec-ring-item
Loading emacsbug...done
previous-buffer: Wrong number of arguments: (lambda nil "switch to last buffer" (interactive) (switch-to-buffer (other-buffer))), 2

Charlie Goodrich
ASRC Aerospace, Systems Engineering
Mail Stop ASRC-48
Kennedy Space Center, FL 32899
location: M7-409 (EDL) 2103A
phone: (321) 867-6956